org.bdgenomics.adam.util

# TwoBitFile

###
Related Docs: class TwoBitFile | package util

#### object TwoBitFile extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TwoBitFile
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val BASES_PER_BYTE: Int

5. #### val BLOCK_COUNT_SIZE: Int

6. #### val BYTE_SIZE: Int

7. #### val DNA_SIZE_SIZE: Int

8. #### val FILE_INDEX_OFFSET: Int

9. #### val HEADER_RESERVED_OFFSET: Int

10. #### val INT_SIZE: Int

11. #### val MAGIC_NUMBER: Int

12. #### val MASK: Byte

13. #### val NAME_SIZE_SIZE: Int

14. #### val OFFSET_SIZE: Int

15. #### val PER_BLOCK_SIZE: Int

16. #### val SEQUENCE_COUNT_OFFSET: Int

17. #### val SEQ_RECORD_RESERVED_SIZE: Int

18. #### val VERSION_OFFSET: Int

19. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

20. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped